Bug 248511 - Review Request: cdogs-sdl - C-Dogs is an arcade shoot-em-up
Summary: Review Request: cdogs-sdl - C-Dogs is an arcade shoot-em-up
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Mohler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-17 07:46 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 23:27:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cr33dog: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-07-17 07:46:40 UTC
Spec URL: http://people.atrpms.net/~hdegoede/cdogs-sdl.spec
SRPM URL: http://people.atrpms.net/~hdegoede/cdogs-sdl-0.4-1.fc8.src.rpm
Description:
C-Dogs SDL is a port of the old DOS arcade game C-Dogs to modern operating
systems utilising the SDL Media Libraries. C-Dogs is an arcade shoot-em-up
which lets players work alone and cooperatively during missions or fight  
against each other in the “dogfight” deathmatch mode. The DOS version of  
C-Dogs came with several built in missions and dogfight maps. This version
does too. The author of the DOS version of C-Dogs was Ronny Wester. We would
like to thank Ronny for releasing the C-Dogs sources to the public.

---

Reviewers, notice this game requires cdogs-data which I will be submitting shortly

Comment 1 Hans de Goede 2007-07-17 07:49:24 UTC
The cdogs-data review is bug 248513

Comment 2 Chris Mohler 2007-07-22 21:22:46 UTC
- Passes rpmlint
- Builds in mock (i386)
- Quick glance through the package - nothing binary/non-utf
- rpm installs/program works on i386
* wasn't able to connect to the server upstream to md5 compare
- GPL license OK

Seems to pass all MUST (and SHOULD) items.

I'll give upstream a while to come back online and to a comparison before
marking accepted.

Comment 3 Chris Mohler 2007-07-24 23:27:31 UTC
OK I was looking at 'URL' instead of 'Source0'.  Hopefully their site will come
back up, but in the meantime the md5sums check out.  I don't see anything
missing from the Review List.

Comment 4 Hans de Goede 2007-07-25 05:51:01 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name:      cdogs-sdl
Short Description: C-Dogs is an arcade shoot-em-up
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 F-7 devel
InitialCC:         <empty>


Comment 5 Hans de Goede 2007-07-26 18:17:58 UTC
Imported and build. Chris, normally this is the moment when the package gets
closed, so next review please let it open, so that the submitter can close the
review when the package has been build.



Note You need to log in before you can comment on or make changes to this bug.